Package com.sas.metadata.remote

# Interface RelationalTable

All Superinterfaces:
  `Classifier`, `CMetadata`, `DataTable`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `JoinTable`, `PhysicalTable`, `QueryTable`, `SecuredTable`, `WorkTable`

public interface RelationalTable extends DataTable
Represents a relational table, one that does not have a physical representation. If the table resides in a DBMS or file system, it should be represented by a PhysicalTable. If it is a transient table, one that has a physical representation but is temporary, it should be represented as a WorkTable.

Attributes of RelationalTable are:

- `MemberType`

Associations of RelationalTable are:

- `XPaths`
- `AnalyticTables`
- `AssociatedXMLMap`
- `ModelResults`

## Usage

To create an instance of this RelationalTable, use the `factory` create methods.
Example: create a RelationalTable with name "RelationalTable_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     RelationalTable myObject = (RelationalTable) factory.createComplexMetadataObject(objectStore, "RelationalTable_Object", MetadataObjects.RELATIONALTABLE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ANALYTICTABLES_NAME`
  Constant used for the name of the AnalyticTables association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDXMLMAP_NAME`
  Constant used for the name of the AssociatedXMLMap association.
  `static final String`
  `ASSOCIATION_MODELRESULTS_NAME`
  Constant used for the name of the ModelResults association.
  `static final String`
  `ASSOCIATION_XPATHS_NAME`
  Constant used for the name of the XPaths association.
  `static final String`
  `ATTRIBUTE_MEMBERTYPE_NAME`
  Constant used for the name of the MemberType attribute.

  ### Fields inherited from interface com.sas.metadata.remote.Classifier

  `ASSOCIATION_SOURCECLASSIFIERMAPS_NAME, ASSOCIATION_TARGETCLASSIFIERMAPS_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.DataTable

  `ASSOCIATION_COLUMNHIERARCHIES_NAME, ASSOCIATION_COLUMNS_NAME, ASSOCIATION_FOREIGNKEYS_NAME, ASSOCIATION_ROLES_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_TABLEPACKAGE_NAME, ASSOCIATION_UNIQUEKEYS_NAME, ATTRIBUTE_NUMROWS_NAME, ATTRIBUTE_TABLENAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getAnalyticTables()`
  Gets the Association list of `AnalyticTables`
  `AssociationList`
  `getAnalyticTables(boolean fGoToServer)`
  Gets the Associationlist of `AnalyticTables`
  `SXLEMap`
  `getAssociatedXMLMap()`
  Gets the `SXLEMap` for `AssociatedXMLMap`
  `AssociationList`
  `getAssociatedXMLMaps()`
  Gets the Association list of `AssociatedXMLMaps`
  `AssociationList`
  `getAssociatedXMLMaps(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedXMLMaps`
  `String`
  `getMemberType()`
  Gets the `String` value of `MemberType`
  `int`
  `getMemberTypeMaxLength()`
  Gets the maximum length of `MemberType`
  `int`
  `getMemberTypeState()`
  Gets the Metadata State of `MemberType`
  `AssociationList`
  `getModelResults()`
  Gets the Association list of `ModelResults`
  `AssociationList`
  `getModelResults(boolean fGoToServer)`
  Gets the Associationlist of `ModelResults`
  `AssociationList`
  `getXPaths()`
  Gets the AssociationList of `XPaths`
  `AssociationList`
  `getXPaths(boolean fGoToServer)`
  Gets the Associationlist of `XPaths`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `XPaths`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAnalyticTables(AssociationList list)`
  Sets the `AnalyticTables` list to be `list`.
  `void`
  `setAnalyticTables(AssociationList inObjects, int state)`
  Sets the entire AnalyticTables list to match the passed in AssociationList, sets the state of the AnalyticTables
  `void`
  `setAssociatedXMLMap(SXLEMap inObject)`
  Sets the `AssociatedXMLMaps` list 0th element to be `inObject`.
  `void`
  `setAssociatedXMLMaps(AssociationList list)`
  Sets the `AssociatedXMLMaps` list to be `list`.
  `void`
  `setAssociatedXMLMaps(AssociationList list, int state)`
  Sets the `AssociatedXMLMaps` list to be `list`.
  `void`
  `setMemberType(String inMemberType)`
  Sets the `MemberType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMemberType(String inMemberType, int state)`
  Sets the `MemberType` Metadata State.
  `void`
  `setMemberTypeState(int state)`
  Sets the Metadata State of `MemberType`.
  `void`
  `setModelResults(AssociationList list)`
  Sets the `ModelResults` list to be `list`.
  `void`
  `setModelResults(AssociationList inObjects, int state)`
  Sets the entire ModelResults list to match the passed in AssociationList, sets the state of the ModelResults
  `void`
  `setXPaths(AssociationList list)`
  Sets the `XPaths` list to be `list`.
  `void`
  `setXPaths(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  ### Methods inherited from interface com.sas.metadata.remote.Classifier

  `getSourceClassifierMaps, getSourceClassifierMaps, getTargetClassifierMaps, getTargetClassifierMaps, setSourceClassifierMaps, setSourceClassifierMaps, setTargetClassifierMaps, setTargetClassifierMaps`

  ### Methods inherited from interface com.sas.metadata.remote.DataTable

  `getColumnHierarchies, getColumnHierarchies, getColumns, getColumns, getForeignKeys, getForeignKeys, getNumRows, getNumRowsState, getRoles, getRoles, getTableCollections, getTableCollections, getTableName, getTableNameMaxLength, getTableNameState, getTablePackage, getTablePackages, getTablePackages, getUniqueKeys, getUniqueKeys, setColumnHierarchies, setColumnHierarchies, setColumns, setColumns, setForeignKeys, setForeignKeys, setNumRows, setNumRows, setNumRows, setNumRows, setNumRowsState, setRoles, setRoles, setTableCollections, setTableCollections, setTableName, setTableName, setTableNameState, setTablePackage, setTablePackages, setTablePackages, setUniqueKeys, setUniqueKeys`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_MEMBERTYPE_NAME

    static final String ATTRIBUTE_MEMBERTYPE_NAME
    Constant used for the name of the MemberType attribute.

    MemberType: The MemberType attribute is the value of memtype returned by proc contents output. It can have the values of DATA, VIEW, MDDB, etc.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_XPATHS_NAME

    static final String ASSOCIATION_XPATHS_NAME
    Constant used for the name of the XPaths association.

    XPaths: The list of XPath objects that define the path of the table in the XML source.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ANALYTICTABLES_NAME

    static final String ASSOCIATION_ANALYTICTABLES_NAME
    Constant used for the name of the AnalyticTables association.

    AnalyticTables: The analytic table attributes associated with this table.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDXMLMAP_NAME

    static final String ASSOCIATION_ASSOCIATEDXMLMAP_NAME
    Constant used for the name of the AssociatedXMLMap association.

    AssociatedXMLMap: The associated XML Map.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_MODELRESULTS_NAME

    static final String ASSOCIATION_MODELRESULTS_NAME
    Constant used for the name of the ModelResults association.

    ModelResults: The mining results associated to this target table.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `Classifier`
    Specified by:
      `initializeRequiredObjects` in interface `DataTable`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `XPaths`
    Specified by:
      `initializePredObjects` in interface `Classifier`
    Specified by:
      `initializePredObjects` in interface `DataTable`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMemberType

    String getMemberType() throws RemoteException
    Gets the `String` value of `MemberType`
    Returns:
      The `MemberType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMemberTypeState

    int getMemberTypeState() throws RemoteException
    Gets the Metadata State of `MemberType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMemberTypeMaxLength

    int getMemberTypeMaxLength() throws RemoteException
    Gets the maximum length of `MemberType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getXPaths

    AssociationList getXPaths() throws RemoteException, MdException
    Gets the AssociationList of `XPaths`
    Returns:
      Returns the AssociationList of `XPaths` which can be of type:
      XPath
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAnalyticTables

    AssociationList getAnalyticTables() throws RemoteException, MdException
    Gets the Association list of `AnalyticTables`
    Returns:
      The AssociationList of `AnalyticTables` which can be of type:
      AnalyticTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedXMLMaps

    AssociationList getAssociatedXMLMaps() throws RemoteException, MdException
    Gets the Association list of `AssociatedXMLMaps`
    Returns:
      The AssociationList of `AssociatedXMLMaps` which can be of type:
      SXLEMap
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedXMLMap

    SXLEMap getAssociatedXMLMap() throws RemoteException, MdException
    Gets the `SXLEMap` for `AssociatedXMLMap`
    Returns:
      The `SXLEMap` ( `null` if not set ) of `AssociatedXMLMap` which can be of type:
      SXLEMap
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getModelResults

    AssociationList getModelResults() throws RemoteException, MdException
    Gets the Association list of `ModelResults`
    Returns:
      The AssociationList of `ModelResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getXPaths

    AssociationList getXPaths(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `XPaths`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `XPaths` which can be of type:
      XPath
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAnalyticTables

    AssociationList getAnalyticTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AnalyticTables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AnalyticTables` which can be of type:
      AnalyticTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedXMLMaps

    AssociationList getAssociatedXMLMaps(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedXMLMaps`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedXMLMaps` which can be of type:
      SXLEMap
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getModelResults

    AssociationList getModelResults(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ModelResults`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ModelResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setMemberType

    void setMemberType(String inMemberType) throws RemoteException
    Sets the `MemberType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMemberType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMemberType

    void setMemberType(String inMemberType, int state) throws RemoteException
    Sets the `MemberType` Metadata State.
    Parameters:
      `inMemberType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMemberTypeState

    void setMemberTypeState(int state) throws RemoteException
    Sets the Metadata State of `MemberType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setXPaths

    void setXPaths(AssociationList list) throws RemoteException
    Sets the `XPaths` list to be `list`. Objects of which can be of type:
    XPath
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setXPaths

    void setXPaths(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTables

    void setAnalyticTables(AssociationList list) throws RemoteException
    Sets the `AnalyticTables` list to be `list`. Objects of which can be of type:
    AnalyticTable
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTables

    void setAnalyticTables(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AnalyticTables list to match the passed in AssociationList, sets the state of the AnalyticTables
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedXMLMaps

    void setAssociatedXMLMaps(AssociationList list) throws RemoteException
    Sets the `AssociatedXMLMaps` list to be `list`. Objects of which can be of type:
    SXLEMap
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedXMLMaps

    void setAssociatedXMLMaps(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedXMLMaps` list to be `list`. Objects of which can be of type:
    SXLEMap
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedXMLMap

    void setAssociatedXMLMap(SXLEMap inObject) throws RemoteException
    Sets the `AssociatedXMLMaps` list 0th element to be `inObject`.
    Parameters:
      `inObject` - SXLEMap
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setModelResults

    void setModelResults(AssociationList list) throws RemoteException
    Sets the `ModelResults` list to be `list`. Objects of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setModelResults

    void setModelResults(AssociationList inObjects, int state) throws RemoteException
    Sets the entire ModelResults list to match the passed in AssociationList, sets the state of the ModelResults
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.